×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    May 2004
    Posts
    9

    Which card do I need for sdk v 1.2 (BT emulator)

    Hi all,
    I am a student at UCSD and I am trying to test a project. I need to use the emulator to test BT connectivity. (I am trying to send a password to another BT receiver). I need to buy a card for my computer to enable the BT. I am confused about which one do I need. Please Help!

    This is what I found:

    I read the document recommended by the nokia specialist:

    Setting_Up_And_Using_Bluetooth_ HW_with_Development_Tools_v1_0_en.pdf

    the document indicates that I need to use a BCSP or H4 UART to use the emulator, and that the card 8510-00159F DOES NOT support BCSP HCI or H4 UART HCI.

    Here is the insert of the document:
    "
    You can use BCSP or H4 UART compatible Bluetooth hardware only. In addition to Casira, which is recommended by Symbian, there are also some other commercial Bluetooth devices that can be used. The Bluetooth device must not contain any Bluetooth host software, as the emulator already contains a Bluetooth protocol stack. The device must support a baud rate of 115.2 Kbps and installation as a Windows OS Communications (COM) port. USB dongles are not supported. See Figure 1 for an illustration of the development environment. If you use a PC Card in the desktop, you need a PCI-PCMCIA adapter if there are no PC Card slots available. Some Bluetooth devices can be reconfigured to support either H4 or BCSP with a special software application (PS Tool from CSR, for example). Check the availability from the manufacturer of your Bluetooth device. Note: Nokia Connectivity Card DTL-1/DTL-4 and Socket Communications Bluetooth CF Card (8510-00159F) do not support BCSP HCI or H4 UART HCI. The newer Socket Bluetooth CF Card (8510-00159G) supports BCSP but, for the time being, it cannot be installed as a Windows OS COM port because a high-speed driver is required."

    Please tell me which card do I need for version 1.2 and where can I get it.
    Thanks

  2. #2
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Posts
    1,213
    For the Series 60 SDK 1.2, please refer to the older, 'Setting Up and Using Bluetooth Testing Environment with Series 60' document on the Bluetooth documents web page.

    The supported hardware is Nokia Connectivity Card DTL-4/Socket Bluetooth Card (the older 'F' version).

    -seppo
    Forum Nokia

  3. #3
    Registered User
    Join Date
    May 2004
    Posts
    9

    Contradiction....doc says NOT TO USE the F card

    The document says the opposite...that you cannot use the F card. Please clarify this.
    Liza Lopez

    Doc says in the hardware requirements part:
    "You can use BCSP or H4 UART compatible Bluetooth hardware only. ... Note: Nokia Connectivity Card DTL-1/DTL-4 and Socket Communications Bluetooth CF Card (8510-00159F) DO NOT SUPPORT BCSP HCI or H4 UART HCI. "

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×